Bug 116344 - Incorrect config macro in tda1004x.c
Incorrect config macro in tda1004x.c
Status: CLOSED UPSTREAM
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
rawhide
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Arjan van de Ven
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-02-20 05:18 EST by Neil Aspinall
Modified: 2007-11-30 17:10 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-05-03 15:02:09 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Patch (735 bytes, patch)
2004-02-24 07:35 EST, Neil Aspinall
no flags Details | Diff

  None (edit)
Description Neil Aspinall 2004-02-20 05:18:32 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (Windows; U; Windows NT 5.0; en-US; rv:1.6)
Gecko/20040210 Firefox/0.8

Description of problem:
The driver for the tda1004x DVB frontend
(drivers/media/dvb/frontends/tda1004x.c) contains references to a
macro DVB_TDA1004X_FIRMWARE_FILE.

This is not defined by the config/build process; the macro that
actually is defined is CONFIG_DVB_TDA1004X_FIRMWARE_FILE.

Version-Release number of selected component (if applicable):
kernel-2.6.2-1.87smp

How reproducible:
Always

Steps to Reproduce:
1. Unset CONFIG_STANDALONE and set CONFIG_DVB_TDA1004X=m and
CONFIG_DVB_TDA1004X_FIRMWARE_FILE=/some/path/to/firmware in your
.config (e.g. make xconfig; unset option to ignore drivers requiring
firmware; go to DVB section and enable tda1004x frontend)
2. Make, install and load tda1004x driver

    

Actual Results:  dmesg shows that the driver has been unable to load
firmware from "/usr/lib/hotplug/firmware/tda1004x.mc"; it has ignored
whatever path you defined and used its default instead

Expected Results:  Driver should load firmware from /some/path/to/firmware

Additional info:
Comment 1 Neil Aspinall 2004-02-24 07:35:58 EST
Created attachment 97986 [details]
Patch
Comment 2 Dave Jones 2004-02-24 08:15:58 EST
NACK.  This is finally being fixed properly upstream by using the
firmware loader interface.

Note You need to log in before you can comment on or make changes to this bug.